# from ai import AI
from live_cam import LiveStream
from ultrasound import UltraSound, LockWithOwner
from weight import WeightSensor

lock: LockWithOwner = LockWithOwner(init_owner='SENSOR')

ultra_sound: UltraSound = UltraSound(lock)
weight_sensor: WeightSensor = WeightSensor()
live_stream: LiveStream = LiveStream(lock)
# ai: AI = AI()

ultra_sound.start()
weight_sensor.start()
live_stream.run()
# ai.start()
