import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { CaptureHighlightComponent } from './component/capture-highlight/capture-highlight.component';
import { TrafficAnalysesComponent } from './component/traffic-analyses/traffic-analyses.component';
import { LocalInformationComponent } from './component/local-information/local-information.component';
import { DescriptionBlockComponent } from './component/description-block/description-block.component';
import { TrafficAnalysesHighlightComponent } from './component/traffic-analyses-highlight/traffic-analyses-highlight.component';
import { SafePipe } from './safe.pipe';

@NgModule({
  declarations: [
    AppComponent,
    CaptureHighlightComponent,
    TrafficAnalysesComponent,
    LocalInformationComponent,
    DescriptionBlockComponent,
    TrafficAnalysesHighlightComponent,
    SafePipe
  ],
  imports: [
    BrowserModule,
    AppRoutingModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
