import { Component } from '@angular/core';

@Component({
  selector: 'app-traffic-analyses',
  templateUrl: './traffic-analyses.component.html',
  styleUrls: ['./traffic-analyses.component.css']
})
export class TrafficAnalysesComponent {

  constructor() {
  }

  local_maximum: number = 80;
  number_of_hogs_sunday: number = 20;
  number_of_hogs_monday: number = 60;
  number_of_hogs_tuesday: number = 30;
  number_of_hogs_wednesday: number = 45;
  number_of_hogs_thursday: number = 5;
  number_of_hogs_friday: number = 50;
  number_of_hogs_saturday: number = 35;
  // list_of_hogs_in_dates: Array<number> = [this.number_of_hogs_sunday, this.number_of_hogs_monday, this.number_of_hogs_tuesday, this.number_of_hogs_wednesday, this.number_of_hogs_thursday, this.number_of_hogs_friday, this.number_of_hogs_saturday];
  // Create 5 ticks based on the maximum of all values
  number_of_ticks: number = 5;
  interval: number = (this.local_maximum / this.number_of_ticks) >> 0;
  y_tick_values: Array<number> = Array.from({ length: this.number_of_ticks + 1 }, (_, i) => this.local_maximum - (i * this.interval));

  bar_height(number_of_hogs: number) {
    return (number_of_hogs / this.local_maximum) * 100;
  }
}
