import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-description-block',
  templateUrl: './description-block.component.html',
  styleUrls: ['./description-block.component.css']
})
export class DescriptionBlockComponent {
  @Input() header_title: String = 'Header information';
  @Input() sub_header_text: String = 'Sub-header information';
  @Input() invert_color: boolean = false;
  @Input() icon_src: String = '';
}
